Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ICylinder

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.ISurface
                  igeo.ICylinder

All Implemented Interfaces:
  IParameter, ISurfaceI, ISurfaceOp, ITransformable

    public class ICylinder

extends ISurface

Cylinder surface class

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IVecI` | `pt1`
`IVecI` | `pt2`
`IDoubleI` | `radius1`
`IDoubleI` | `radius2`

Fields inherited from class igeo.ISurface
`surface`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`ICylinder(IServerI s, IVecI pt1, IVecI pt2, double radius)`
`ICylinder(IServerI s, IVecI pt1, IVecI pt2, double radius1, double radius2)`
`ICylinder(IServerI s, IVecI pt1, IVecI pt2, IDoubleI radius)`
`ICylinder(IServerI s, IVecI pt1, IVecI pt2, IDoubleI radius1, IDoubleI radius2)`
`ICylinder(IVecI pt1, IVecI pt2, double radius)`
`ICylinder(IVecI pt1, IVecI pt2, double radius1, double radius2)`
`ICylinder(IVecI pt1, IVecI pt2, IDoubleI radius)`
`ICylinder(IVecI pt1, IVecI pt2, IDoubleI radius1, IDoubleI radius2)`

Method Summary
`void` | `initCylinder(IServerI s)`

Methods inherited from class igeo.ISurface
`add, add, add, add, add, add, add, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, clearInnerTrim, clearOuterTrim, clearTrim, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, corner, corner, cornerCP, cornerCP, cp, cp, cp, cp, cp, cp, cps, createGraphic, div, div, dup, ep, ep, flip, get, hasDefaultTrim, hasDefaultTrim, hasDefaultTrim, hasInnerTrim, hasInnerTrim, hasInnerTrim, hasOuterTrim, hasOuterTrim, hasOuterTrim, hasTrim, hasTrim, hasTrim, hide, hsb, hsb, hsb, hsb, initSurface, innerTrim, innerTrim, innerTrimLoop, innerTrimLoop, innerTrimLoopNum, innerTrimLoopNum, innerTrimLoopNum, innerTrimNum, innerTrimNum, isFlat, isFlat, isFlat, isRational, isRational, isRational, isUClosed, isUClosed, isUClosed, isValid, isVClosed, isVClosed, isVClosed, layer, mirror, mirror, mul, mul, mv, mv, mv, name, neg, nml, nml, nml, normal, normal, normal, nrml, nrml, nrml, outerTrim, outerTrim, outerTrimLoop, outerTrimLoop, outerTrimLoopNum, outerTrimLoopNum, outerTrimLoopNum, outerTrimNum, outerTrimNum, pt, pt, pt, pt, pt, pt, ref, ref, revN, revU, revUV, revV, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, show, sub, sub, sub, swapUV, transform, transform, transform, transform, translate, translate, translate, u, u, ucpNum, ucpNum, ucpNum, udeg, udeg, udeg, uend, uend, uend, uepNum, uepNum, uepNum, uknot, uknot, uknotNum, uknotNum, uknotNum, uknots, uknots, uknots, unum, unum, unum, ustart, ustart, ustart, utan, utan, utan, v, v, vcpNum, vcpNum, vcpNum, vdeg, vdeg, vdeg, vend, vend, vend, vepNum, vepNum, vepNum, vknot, vknot, vknotNum, vknotNum, vknotNum, vknots, vknots, vknots, vnum, vnum, vnum, vstart, vstart, vstart, vtan, vtan, vtan`

Methods inherited from class igeo.IGeometry
`attr, layer`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, blue, blueInt, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pt1

    public IVecI pt1

### pt2

    public IVecI pt2

### radius1

    public IDoubleI radius1

### radius2

    public IDoubleI radius2

Constructor Detail

### ICylinder

    public ICylinder(IVecI pt1,
                     IVecI pt2,
                     double radius)

### ICylinder

    public ICylinder(IServerI s,
                     IVecI pt1,
                     IVecI pt2,
                     double radius)

### ICylinder

    public ICylinder(IVecI pt1,
                     IVecI pt2,
                     double radius1,
                     double radius2)

### ICylinder

    public ICylinder(IVecI pt1,
                     IVecI pt2,
                     IDoubleI radius)

### ICylinder

    public ICylinder(IServerI s,
                     IVecI pt1,
                     IVecI pt2,
                     IDoubleI radius)

### ICylinder

    public ICylinder(IServerI s,
                     IVecI pt1,
                     IVecI pt2,
                     double radius1,
                     double radius2)

### ICylinder

    public ICylinder(IVecI pt1,
                     IVecI pt2,
                     IDoubleI radius1,
                     IDoubleI radius2)

### ICylinder

    public ICylinder(IServerI s,
                     IVecI pt1,
                     IVecI pt2,
                     IDoubleI radius1,
                     IDoubleI radius2)

Method Detail

### initCylinder

    public void initCylinder(IServerI s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD